Skip to main content
POST
/
projects
/
{project_reference}
/
releases
Create Release
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/releases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "v1.0.0"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "export_status": "in_progress",
  "build_status": "in_progress",
  "deploy_status": "in_progress",
  "version": "<string>",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, ID, or other supported project reference.

Body

application/json
name
string

Name for the release. Auto-generated when omitted.

branch_reference
string

Branch ID or branch name. When omitted, creates the release from the main branch.

Response

Release created

id
string<uuid>
required
name
string
required
project_id
string<uuid>
required
export_status
enum<string>
required
Available options:
in_progress,
completed,
error
build_status
enum<string>
required
Available options:
in_progress,
completed,
error
deploy_status
enum<string>
required
Available options:
in_progress,
completed,
error
version
string | null

Semver version, for example "1.2.3".

user_id
string<uuid>
created_at
string
updated_at
string